Subject: Re: bug#48824: 27.1; Symbol’s function definition is void: gnus-info-set-read

From: Matthew Carter <[email-masked]>
Date: Fri, 04 Jun 2021 00:24:22 -0400

Ben Bacarisse <[email-masked]> writes:

> After upgrading to 27.1 my Gnus home-grown backend fails with
>
>   Symbol’s function definition is void: gnus-info-set-read
>
> If I comment out the one use of this function I can start Gnus but, of
> course, the maintenance of the read messages no longer works.
>
> The associated "getter" function (gnus-info-read) works, as does the
> related "setter" function gnus-into-set-marks.
>

Looks like this changed towards end of 2019 to swap from macros to
inlined functions, and you can now use setf directly, vs a setter:

https://git.savannah.gnu.org/cgit/emacs.git/tree/ChangeLog.3#n9403

-- 
Matthew Carter ([email-masked])
http://ahungry.com